com.opensymphony.xwork2.config.entities

## Class ResultConfig.Builder

- java.lang.Object
- - com.opensymphony.xwork2.config.entities.ResultConfig.Builder

- Enclosing class:
    ResultConfig

      public static final class ResultConfig.Builder
      extends Object

  The builder for this object. An instance of this object is the only way to construct a new instance. The purpose is to enforce the immutability of the object. The methods are structured in a way to support chaining. After setting any values you need, call the `build()` method to create the object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ResultConfig` | `target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultConfig.Builder(ResultConfig orig)`
    `ResultConfig.Builder(String name, String className)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultConfig.Builder` | `addParam(String name, String value)`
    `ResultConfig.Builder` | `addParams(Map<String,String> params)`
    `ResultConfig` | `build()`
    `ResultConfig.Builder` | `className(String name)`
    `protected void` | `embalmTarget()`
    `ResultConfig.Builder` | `location(Location loc)`
    `ResultConfig.Builder` | `name(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### target

          protected ResultConfig target

  - ### Constructor Detail

    - #### ResultConfig.Builder

          public ResultConfig.Builder(String name,
                              String className)

    - #### ResultConfig.Builder

          public ResultConfig.Builder(ResultConfig orig)

  - ### Method Detail

    - #### name

          public ResultConfig.Builder name(String name)

    - #### className

          public ResultConfig.Builder className(String name)

    - #### addParam

          public ResultConfig.Builder addParam(String name,
                                      String value)

    - #### addParams

          public ResultConfig.Builder addParams(Map<String,String> params)

    - #### location

          public ResultConfig.Builder location(Location loc)

    - #### build

          public ResultConfig build()

    - #### embalmTarget

          protected void embalmTarget()

Copyright © 2000–2019 Apache Software Foundation. All rights reserved.